hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean Busbey (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-12381) Add maven enforcer rules for build assumptions
Date Thu, 30 Oct 2014 16:25:36 GMT

     [ https://issues.apache.org/jira/browse/HBASE-12381?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sean Busbey updated HBASE-12381:
--------------------------------
    Summary: Add maven enforcer rules for build assumptions  (was: Add maven enforcer rule
for maven version)

updating title to broaded a bit. We can also enforce Java 7 on branch-1+

> Add maven enforcer rules for build assumptions
> ----------------------------------------------
>
>                 Key: HBASE-12381
>                 URL: https://issues.apache.org/jira/browse/HBASE-12381
>             Project: HBase
>          Issue Type: Task
>          Components: build
>            Reporter: Sean Busbey
>            Assignee: Sean Busbey
>            Priority: Minor
>
> our ref guide says that you need maven 3 to build. add an enforcer rule so that people
find out early that they have the wrong maven version, rather then however things fall over
if someone tries to build with maven 2.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message